package me.km.events;

import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.util.DamageSource;
import net.minecraftforge.event.entity.living.LivingHurtEvent;

public class PlayerHurtEvent extends LivingHurtEvent
{
    private final EntityPlayer p;
    
    public PlayerHurtEvent(EntityPlayer p, DamageSource source, float amount) 
    {
        super(p, source, amount);
        this.p = p;
    }

    public EntityPlayer getEntityPlayer() 
    {
        return p;
    }
}
